/// class PD.Manage.Modules.DataLoadToolbarSegment

PD.Manage.Modules.DataLoadToolbarSegment =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-load:job/create-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-load:job/delete"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-load:job/delete-all"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-load:job/download-input-file"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-load:job/download-output-file"
        }));

    }

});